package com.atmob.keyboard_android.component.base

import android.view.ViewGroup

/**
 * UI组件接口，用于定义基础功能API
 */
interface IUIComponent {
    /**
     * 将组件转换为View实例
     */
    fun asView(): ViewGroup

    /**
     * 显示组件
     */
    fun show(onStart: (() -> Unit)? = null, onFinish: (() -> Unit)? = null)

    /**
     * 隐藏组件
     */
    fun hide(onStart: (() -> Unit)? = null, onFinish: (() -> Unit)? = null)
}